Bug 56809 - /etc/mail/Makefile userdb.db target incorrect
Summary: /etc/mail/Makefile userdb.db target incorrect
Status: CLOSED RAWHIDE
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: sendmail   
(Show other bugs)
Version: 7.2
Hardware: i386
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Florian La Roche
QA Contact: David Lawrence
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2001-11-28 03:59 UTC by Randy Russell
Modified: 2007-04-18 16:38 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2001-11-28 04:00:02 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Randy Russell 2001-11-28 03:59:57 UTC
Description of Problem:
/etc/mail/Makefile contains

userdb.db : userdb
        @makemap -f hash $@ < $<

This is incorrect:  userdb uses a btree, not a hash (see 
/usr/share/doc/sendmail/doc/op/op.ps, page 71 to confirm.)  Consequently,
the Makefile should read:

userdb.db : userdb
        @makemap -f btree $@ < $<

Building userdb.db incorrectly as a hash breaks sendmail:  outbound mail
will not work for any users, regardless of whether they are in userdb or
not.

Version-Release number of selected component (if applicable):


How Reproducible:
100 percent

Steps to Reproduce:
1.  cd /etc/mail 
2.  echo "baabaa:mailname  foofoo" > userdb
3.  make userdb.db
4.  service sendmail restart
5.  echo "heehee" | mail root
6.  tail /var/log/maillog

Actual Results:
Nov 27 22:58:43 localhost sendmail[2050]: fAS3whZ02050:
db_open(/etc/mail/userdb.db): Invalid argument
Nov 27 22:58:43 localhost sendmail[2050]: fAS3whZ02050: deferred:
udbexpand: Invalid argument

Expected Results:


Additional Information:

Comment 1 Florian La Roche 2001-12-07 20:47:06 UTC
fixed in 8.11.6-4 or newer as part of rawhide.

Thanks,

Florian La Roche


Note You need to log in before you can comment on or make changes to this bug.